Subject: Re: bug#18637: 24.4.50; doc of frame parameter DISPLAY vs actual value on MS Windows

From: Eli Zaretskii <[email-masked]>
Date: Mon, 06 Oct 2014 19:54:07 +0300

> Date: Mon, 6 Oct 2014 09:31:00 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > > Is there no support for multiple monitors on MS Windows?
> > 
> > There is, but by and large, Emacs will see them as a single large
> > desktop.  See here:
> > http://msdn.microsoft.com/en-us/library/dd145071%28v=vs.85%29.aspx
> > (We don't support the "independent monitors" mode mentioned there.)
> > 
> > In any case, "multiple monitors" and "multiple displays" are 2
> > different issues.  Each display can have multiple monitors.
> 
> OK.  Where can one find doc about using multiple monitors with Emacs?

There's nothing to document: they are treated as just one large
monitor.  The only functions we have are in that node you mentioned.

> > > I was not able to find out how to obtain info about which monitor
> > > is being used to show a particular frame
> > 
> > The functions you mentioned provide that info, or maybe I don't
> > understand what info are you looking for.q
> 
> Which function tells you what monitor is showing a given frame (on
> MS Windows)?

frame-monitor-attributes, if I understand what you want.

> > > The symptom reported was that by modifying a frame's parameters
> > > to restore its previous values of `top', `left', `width' and
> > > `height', the frame got moved to another monitor, for some
> > > reason.
> > 
> > Probably because the pixel coordinates mapped to that other monitor,
> > the URL above explains that, among other things.
> 
> I appreciate your replies and your trying to help, but I don't quite
> understand you here.  The URL you cite introduces a long chapter.

Read it and its sections.  You will find the information you want
there.  Skip whatever sounds not relevant or too low-level, and keep
reading.

> Yes, this is verbose, and no, I don't expect that you have the answer to
> my coding problem.  If you do have some light to shine on this, however,
> then that is appreciated.

Read the MSDN documentation I pointed to, the answers are there.

If, after that, you still don't understand what could go wrong with
your code, come back and ask more specific questions with specific
code snippets.  Right now, what you write and ask just shows how much
of the background you are missing to start reasoning about this.

The issues are not complicated once you understand how Windows treats
multiple monitors.